Compartir
Publicidad
Publicidad

Si tienes proyectos con Arduino también deberás actualizarlos por Krack

Si tienes proyectos con Arduino también deberás actualizarlos por Krack
Guardar
0 Comentarios
Publicidad
Publicidad

Hace unas semanas saltó la noticia acerca de una nueva vulnerabilidad que afectaba a las redes Wi-Fi llamada Krack y que permite acceder a los datos a través de una conexión aunque esté cifrada con WPA-2.

Si tienes proyectos en los que hayas utilizado Arduino y Wi-Fi deberás protegerte contra Krack. La recomendación es volver a compilar los programas con las librerías actualizadas que corrigen este problema.

La solución es sencilla. Deberás actualizar las librerías de dispositivos Arduino para buscar nuevas versiones e instalarlas. A continuación deberás volver a compilar las aplicaciones y descargarlas.

En el caso de utilizar dispositivos ESP8266 o ESP32, Expressif ha lanzado nuevas librerías para proteger nuestras conexiones.

En el caso del ESP8266 contáis con la nueva información en GitHub. En Arduino podéis copiar esta línea en la pestaña Preferencias justo en el campo Additional Boards Manager URL (sustituyendo la anterior línea del ESP8266 si la tenéis) y luego en Boards Manager filtrar por ESP y elegir la nueva versión.

En mi caso he tenido que desinstalar el ESP8266 para volver a instalar la nueva versión. Para ESP32 la operación es similar, aunque yo he optado por reinstalar toda la librería. Recordad que también debéis proteger el router de casa, buscad alguna actualización de firmware e instalarla.

Más información | Expressif

En Xataka Smart Home | WPS en tu router: peligros y problemas de un protocolo que nos facilita las conexiones en casa

Temas
Publicidad
Publicidad
Publicidad
Inicio
Inicio

Ver más artículos